document.addEventListener("DOMContentLoaded", () => {
  const following_bar = document.querySelector(".following.bar");
  const update_top_bar = function () {
    following_bar.classList.toggle("qd", window.scrollY !== 0);
  };

  if (document.body.classList.contains("index")) {
    document.addEventListener("scroll", update_top_bar);
    update_top_bar();
  }
});

window.addEventListener("load", () => {
  function preloadImage (parent) {
    parent.querySelectorAll("[data-srcset]").forEach(element => {
      element.srcset = element.dataset["srcset"];
      delete element.dataset["srcset"];
    });
    parent.querySelectorAll("img[data-src]").forEach(element => {
      element.src = element.dataset["src"];
      delete element.dataset["src"];
      element.addEventListener("load", () => {
        element.parentElement.classList.add("loaded");
      });
    });
    parent.classList.remove("load-responsive");
  }

  function onIntersection (entries) {
    // Loop through the entries
    entries.forEach(entry => {
      // Are we in viewport?
      if (entry.intersectionRatio > 0) {
        // Stop watching and load the image
        observer.unobserve(entry.target);
        preloadImage(entry.target);
      }
    });
  }

// Get all of the images that are marked up to lazy load
  const images = document.querySelectorAll('.load-responsive');
  const config = {
    // If the image gets within 50px in the Y axis, start the download.
    rootMargin: '400px 0px',
    threshold: 0.01
  };

// The observer for the images on the page
  let observer = new IntersectionObserver(onIntersection, config);
  images.forEach(image => {
    observer.observe(image);
  });
});
